com.tibbo.aggregate.common.datatable

## Class FieldFormat<T>

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.FieldFormat<T>

- All Implemented Interfaces:
    PublicCloneable, java.lang.Cloneable
  Direct Known Subclasses:
    BooleanFieldFormat, ColorFieldFormat, DataFieldFormat, DataTableFieldFormat, DateFieldFormat, DoubleFieldFormat, FloatFieldFormat, IntFieldFormat, LongFieldFormat, StringFieldFormat

      public abstract class FieldFormat<T>
      extends java.lang.Object
      implements java.lang.Cloneable, PublicCloneable

  `FieldFormat` is a part of `TableFormat` that describes single `DataTable` field.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `BOOLEAN_FIELD`
    `static char` | `COLOR_FIELD`
    `static char` | `DATA_FIELD`
    `static char` | `DATATABLE_FIELD`
    `static char` | `DATE_FIELD`
    `static char` | `DOUBLE_FIELD`
    `static java.lang.String` | `EDITOR_BAR`
    `static java.lang.String` | `EDITOR_BYTES`
    `static java.lang.String` | `EDITOR_FOREIGN_INSTANCE`
    `static java.lang.String` | `EDITOR_FORMAT_STRING`
    `static java.lang.String` | `EDITOR_INSTANCE`
    `static java.lang.String` | `EDITOR_LIST`
    `static char` | `FLOAT_FIELD`
    `static char` | `INTEGER_FIELD`
    `static char` | `LONG_FIELD`
    `static char` | `STRING_FIELD`
    `static char` | `VALIDATOR_EXPRESSION`
    `static char` | `VALIDATOR_ID`
    `static char` | `VALIDATOR_LIMITS`
    `static char` | `VALIDATOR_NON_NULL`
    `static char` | `VALIDATOR_REGEX`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FieldFormat(java.lang.String name)` Constructs a `FieldFormat` with the specified name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldFormat<T>` | `addSelectionValue(T value)` Adds new selection value to the field.
    `FieldFormat<T>` | `addSelectionValue(T value, java.lang.String description)` Adds new selection value to the field.
    `FieldFormat<T>` | `addValidator(FieldValidator validator)` Adds new field validator.
    `T` | `checkAndConvertValue(Context context, ContextManager contextManager, CallerController caller, T value, boolean validate)`
    `T` | `checkAndConvertValue(T value, boolean validate)`
    `FieldFormat<T>` | `clone()`
    `FieldFormat<T>` | `cloneIfImmutable()`
    `protected java.lang.Object` | `convertValue(java.lang.Object value)`
    `static <S> FieldFormat<S>` | `create(java.lang.String format)` Decodes `FieldFormat` from string.
    `static FieldFormat` | `create(java.lang.String name, char type)` Constructs a `FieldFormat` with specified name of type `type`.
    `static FieldFormat` | `create(java.lang.String name, char type, boolean validate)`
    `static <S> FieldFormat<S>` | `create(java.lang.String name, char type, java.lang.String description)`
    `static <S> FieldFormat<S>` | `create(java.lang.String name, char type, java.lang.String description, S defaultValue)`
    `static <S> FieldFormat<S>` | `create(java.lang.String name, char type, java.lang.String description, S defaultValue, boolean nullable)`
    `static <S> FieldFormat<S>` | `create(java.lang.String name, char type, java.lang.String description, S defaultValue, boolean nullable, java.lang.String group)`
    `static <S> FieldFormat<S>` | `create(java.lang.String name, char type, java.lang.String description, S defaultValue, java.lang.String group)`
    `static <S> FieldFormat<S>` | `create(java.lang.String name, java.lang.Class valueClass)` Constructs a `FieldFormat` with specified name that will hold values of class `valueClass`.
    `static <S> FieldFormat<S>` | `create(java.lang.String format, ClassicEncodingSettings settings)`
    `static <S> FieldFormat<S>` | `create(java.lang.String format, ClassicEncodingSettings settings, boolean validate)`
    `void` | `createValidators(java.lang.String source, ClassicEncodingSettings settings)`
    `java.lang.String` | `encode()`
    `java.lang.String` | `encode(boolean useVisibleSeparators)`
    `java.lang.String` | `encode(ClassicEncodingSettings settings)`
    `boolean` | `equals(java.lang.Object obj)`
    `boolean` | `extend(FieldFormat other)`
    `java.lang.String` | `extendMessage(FieldFormat other)`
    `T` | `getDefaultValue()` Returns default value of the field.
    `T` | `getDefaultValueCopy()`
    `java.lang.String` | `getDescription()` Returns description of the field.
    `java.lang.String` | `getEditor()` Returns field editor/renderer ID.
    `java.lang.String` | `getEditorOptions()` Returns field editor/renderer options in the encoded form.
    `java.lang.String` | `getEncodedValidators(ClassicEncodingSettings settings)`
    `abstract java.lang.Class` | `getFieldClass()`
    `abstract java.lang.Class` | `getFieldWrappedClass()`
    `java.lang.String` | `getGroup()`
    `java.lang.String` | `getHelp()` Returns help (detailed description) of the field.
    `java.lang.String` | `getIcon()`
    `java.lang.String` | `getName()` Returns field name.
    `abstract T` | `getNotNullDefault()`
    `java.util.Map<T,java.lang.String>` | `getSelectionValues()` Returns map containing selection values and their textual descriptions.
    `java.util.List<java.lang.String>` | `getSuitableEditors()`
    `abstract char` | `getType()`
    `static java.lang.Character` | `getType(java.lang.Class valueClass)`
    `java.lang.String` | `getTypeName()` Returns human-readable name of field type.
    `static java.util.Collection` | `getTypes()`
    `static java.util.Map<java.lang.Object,java.lang.String>` | `getTypeSelectionValues()`
    `java.util.List<FieldValidator>` | `getValidators()` Returns modifiable list of field validators.
    `static java.util.Map<java.lang.String,java.lang.Class<? extends AbstractFieldValidator>>` | `getValidatorToTypeMap()`
    `boolean` | `hasDescription()`
    `int` | `hashCode()`
    `boolean` | `hasSelectionValue(java.lang.Object value)` Returns true if field has specified selection value.
    `boolean` | `hasSelectionValues()` Returns true if field has selection values.
    `boolean` | `isAdvanced()`
    `boolean` | `isDefaultOverride()`
    `boolean` | `isEncrypted()`
    `boolean` | `isExtendableSelectionValues()` Returns true if field selection values are extendable, i.e. field may contain values that does not appear in selection values list.
    `static boolean` | `isFieldClass(java.lang.Class valueClass)`
    `boolean` | `isHidden()` Returns true if field if hidden.
    `boolean` | `isInlineData()`
    `boolean` | `isKeyField()` Returns true if field is a key field.
    `boolean` | `isNotReplicated()` Returns true if field must not be replicated.
    `boolean` | `isNullable()` Returns true if field is nullable, i.e. may contain NULL values.
    `static boolean` | `isNumericField(char type)`
    `static boolean` | `isNumericField(FieldFormat ff)`
    `boolean` | `isOptional()`
    `boolean` | `isReadonly()` Returns true if field is read-only.
    `boolean` | `isShallow()` Returns true if field is shallow.
    `protected boolean` | `isTransferEncode()`
    `protected void` | `makeImmutable()`
    `void` | `removeGroup()`
    `FieldFormat<T>` | `setAdvanced(boolean advanced)`
    `FieldFormat<T>` | `setDefault(T value)` Sets default value of field.
    `void` | `setDefaultFromString(java.lang.String value)` Sets default value of field from its string representation.
    `void` | `setDefaultFromString(java.lang.String value, ClassicEncodingSettings settings, boolean validate)`
    `FieldFormat<T>` | `setDefaultOverride(boolean defaultOverride)`
    `FieldFormat<T>` | `setDescription(java.lang.String description)` Sets field description.
    `FieldFormat<T>` | `setEditor(java.lang.String editor)` Sets field editor/renderer ID.
    `FieldFormat<T>` | `setEditorOptions(java.lang.String editorOptions)` Sets field editor/renderer options.
    `FieldFormat<T>` | `setEncrypted(boolean encrypted)`
    `FieldFormat<T>` | `setExtendableSelectionValues(boolean extendableSelectionValues)` Sets extendable selection values flag.
    `FieldFormat<T>` | `setGroup(java.lang.String group)`
    `FieldFormat<T>` | `setHelp(java.lang.String help)` Sets field help (detailed description).
    `FieldFormat<T>` | `setHidden(boolean hidden)` Sets hidden flag.
    `FieldFormat<T>` | `setIcon(java.lang.String icon)`
    `FieldFormat<T>` | `setInlineData(boolean inlineData)`
    `FieldFormat<T>` | `setKeyField(boolean keyField)` Sets key field flag.
    `FieldFormat<T>` | `setName(java.lang.String name)` Sets field name.
    `FieldFormat<T>` | `setNotReplicated(boolean notReplicated)` Sets not replicated flag.
    `FieldFormat<T>` | `setNullable(boolean nullable)` Sets nullable flag.
    `FieldFormat<T>` | `setOptional(boolean optional)`
    `FieldFormat<T>` | `setReadonly(boolean readonly)` Sets read only flag.
    `<E extends java.lang.Enum<E> & SelectionValue> FieldFormat<T>` | `setSelectionValues(java.lang.Class<E> selectionValuesClass)`
    `FieldFormat<T>` | `setSelectionValues(java.util.Map<? extends T,java.lang.String> selectionValues)` Sets field selection values.
    `void` | `setSelectionValues(java.lang.String source)` Sets field selection values.
    `FieldFormat<T>` | `setShallow(boolean shallow)` Sets shallow flag.
    `protected FieldFormat<T>` | `setTransferEncode(boolean transferEncode)`
    `void` | `setValidators(java.util.Collection<FieldValidator> validators)`
    `java.lang.String` | `toDetailedString()`
    `java.lang.String` | `toString()`
    `T` | `valueFromEncodedString(java.lang.String source)`
    `T` | `valueFromEncodedString(java.lang.String source, ClassicEncodingSettings settings, boolean validate)`
    `T` | `valueFromString(java.lang.String value)` Converts `value` string to the object of type suitable for this `FieldFormat`.
    `abstract T` | `valueFromString(java.lang.String value, ClassicEncodingSettings settings, boolean validate)`
    `java.lang.String` | `valueToEncodedString(T value, ClassicEncodingSettings settings)`
    `java.lang.StringBuilder` | `valueToEncodedString(T value, ClassicEncodingSettings settings, java.lang.StringBuilder sb, java.lang.Integer encodeLevel)`
    `java.lang.String` | `valueToString(T value)` Converts value suitable for this field format to string.
    `abstract java.lang.String` | `valueToString(T value, ClassicEncodingSettings settings)`
    `TableFormat` | `wrap()`
    `TableFormat` | `wrapSimple()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INTEGER_FIELD

          public static final char INTEGER_FIELD

      See Also:
        Constant Field Values

    - #### STRING_FIELD

          public static final char STRING_FIELD

      See Also:
        Constant Field Values

    - #### BOOLEAN_FIELD

          public static final char BOOLEAN_FIELD

      See Also:
        Constant Field Values

    - #### LONG_FIELD

          public static final char LONG_FIELD

      See Also:
        Constant Field Values

    - #### FLOAT_FIELD

          public static final char FLOAT_FIELD

      See Also:
        Constant Field Values

    - #### DOUBLE_FIELD

          public static final char DOUBLE_FIELD

      See Also:
        Constant Field Values

    - #### DATE_FIELD

          public static final char DATE_FIELD

      See Also:
        Constant Field Values

    - #### DATATABLE_FIELD

          public static final char DATATABLE_FIELD

      See Also:
        Constant Field Values

    - #### COLOR_FIELD

          public static final char COLOR_FIELD

      See Also:
        Constant Field Values

    - #### DATA_FIELD

          public static final char DATA_FIELD

      See Also:
        Constant Field Values

    - #### VALIDATOR_LIMITS

          public static final char VALIDATOR_LIMITS

      See Also:
        Constant Field Values

    - #### VALIDATOR_REGEX

          public static final char VALIDATOR_REGEX

      See Also:
        Constant Field Values

    - #### VALIDATOR_NON_NULL

          public static final char VALIDATOR_NON_NULL

      See Also:
        Constant Field Values

    - #### VALIDATOR_ID

          public static final char VALIDATOR_ID

      See Also:
        Constant Field Values

    - #### VALIDATOR_EXPRESSION

          public static final char VALIDATOR_EXPRESSION

      See Also:
        Constant Field Values

    - #### EDITOR_LIST

          public static final java.lang.String EDITOR_LIST

      See Also:
        Constant Field Values

    - #### EDITOR_BAR

          public static final java.lang.String EDITOR_BAR

      See Also:
        Constant Field Values

    - #### EDITOR_BYTES

          public static final java.lang.String EDITOR_BYTES

      See Also:
        Constant Field Values

    - #### EDITOR_INSTANCE

          public static final java.lang.String EDITOR_INSTANCE

      See Also:
        Constant Field Values

    - #### EDITOR_FOREIGN_INSTANCE

          public static final java.lang.String EDITOR_FOREIGN_INSTANCE

      See Also:
        Constant Field Values

    - #### EDITOR_FORMAT_STRING

          public static final java.lang.String EDITOR_FORMAT_STRING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FieldFormat

          protected FieldFormat(java.lang.String name)

      Constructs a `FieldFormat` with the specified name.

  - ### Method Detail

    - #### getType

          public abstract char getType()

    - #### getFieldClass

          public abstract java.lang.Class getFieldClass()

    - #### getFieldWrappedClass

          public abstract java.lang.Class getFieldWrappedClass()

    - #### getNotNullDefault

          public abstract T getNotNullDefault()

    - #### valueFromString

          public abstract T valueFromString(java.lang.String value,
                                            ClassicEncodingSettings settings,
                                            boolean validate)

    - #### valueToString

          public abstract java.lang.String valueToString(T value,
                                                         ClassicEncodingSettings settings)

    - #### create

          public static <S> FieldFormat<S> create(java.lang.String name,
                                                  java.lang.Class valueClass)

      Constructs a `FieldFormat` with specified name that will hold values of class `valueClass`.

    - #### create

          public static FieldFormat create(java.lang.String name,
                                           char type,
                                           boolean validate)

    - #### create

          public static FieldFormat create(java.lang.String name,
                                           char type)

      Constructs a `FieldFormat` with specified name of type `type`.

    - #### create

          public static <S> FieldFormat<S> create(java.lang.String name,
                                                  char type,
                                                  java.lang.String description)

    - #### create

          public static <S> FieldFormat<S> create(java.lang.String name,
                                                  char type,
                                                  java.lang.String description,
                                                  S defaultValue)

    - #### create

          public static <S> FieldFormat<S> create(java.lang.String name,
                                                  char type,
                                                  java.lang.String description,
                                                  S defaultValue,
                                                  java.lang.String group)

    - #### create

          public static <S> FieldFormat<S> create(java.lang.String name,
                                                  char type,
                                                  java.lang.String description,
                                                  S defaultValue,
                                                  boolean nullable)

    - #### create

          public static <S> FieldFormat<S> create(java.lang.String name,
                                                  char type,
                                                  java.lang.String description,
                                                  S defaultValue,
                                                  boolean nullable,
                                                  java.lang.String group)

    - #### create

          public static <S> FieldFormat<S> create(java.lang.String format,
                                                  ClassicEncodingSettings settings)

    - #### create

          public static <S> FieldFormat<S> create(java.lang.String format,
                                                  ClassicEncodingSettings settings,
                                                  boolean validate)

    - #### create

          public static <S> FieldFormat<S> create(java.lang.String format)

      Decodes `FieldFormat` from string.

    - #### isNumericField

          public static boolean isNumericField(FieldFormat ff)

    - #### isNumericField

          public static boolean isNumericField(char type)

    - #### valueFromEncodedString

          public T valueFromEncodedString(java.lang.String source)

    - #### valueFromEncodedString

          public T valueFromEncodedString(java.lang.String source,
                                          ClassicEncodingSettings settings,
                                          boolean validate)

    - #### valueFromString

          public T valueFromString(java.lang.String value)

      Converts `value` string to the object of type suitable for this `FieldFormat`.

    - #### valueToString

          public java.lang.String valueToString(T value)

      Converts value suitable for this field format to string.

    - #### valueToEncodedString

          public java.lang.String valueToEncodedString(T value,
                                                       ClassicEncodingSettings settings)

    - #### valueToEncodedString

          public java.lang.StringBuilder valueToEncodedString(T value,
                                                              ClassicEncodingSettings settings,
                                                              java.lang.StringBuilder sb,
                                                              java.lang.Integer encodeLevel)

    - #### setDefaultFromString

          public void setDefaultFromString(java.lang.String value)

      Sets default value of field from its string representation.

    - #### setDefaultFromString

          public void setDefaultFromString(java.lang.String value,
                                           ClassicEncodingSettings settings,
                                           boolean validate)

    - #### setDefault

          public FieldFormat<T> setDefault(T value)

      Sets default value of field.

    - #### getEncodedValidators

          public java.lang.String getEncodedValidators(ClassicEncodingSettings settings)

    - #### encode

          public java.lang.String encode()

    - #### encode

          public java.lang.String encode(boolean useVisibleSeparators)

    - #### encode

          public java.lang.String encode(ClassicEncodingSettings settings)

    - #### extend

          public boolean extend(FieldFormat other)

    - #### extendMessage

          public java.lang.String extendMessage(FieldFormat other)

    - #### addValidator

          public FieldFormat<T> addValidator(FieldValidator validator)

      Adds new field validator.

    - #### setValidators

          public void setValidators(java.util.Collection<FieldValidator> validators)

    - #### createValidators

          public void createValidators(java.lang.String source,
                                       ClassicEncodingSettings settings)

    - #### checkAndConvertValue

          public T checkAndConvertValue(T value,
                                        boolean validate)
                                 throws ValidationException

      Throws:
        `ValidationException`

    - #### checkAndConvertValue

          public T checkAndConvertValue(Context context,
                                        ContextManager contextManager,
                                        CallerController caller,
                                        T value,
                                        boolean validate)
                                 throws ValidationException

      Throws:
        `ValidationException`

    - #### convertValue

          protected java.lang.Object convertValue(java.lang.Object value)
                                           throws ValidationException

      Throws:
        `ValidationException`

    - #### getTypeName

          public java.lang.String getTypeName()

      Returns human-readable name of field type.

    - #### getName

          public java.lang.String getName()

      Returns field name.

    - #### isNullable

          public boolean isNullable()

      Returns true if field is nullable, i.e. may contain NULL values.

    - #### isShallow

          public boolean isShallow()

      Returns true if field is shallow.

    - #### getDefaultValue

          public T getDefaultValue()

      Returns default value of the field.

    - #### getDefaultValueCopy

          public T getDefaultValueCopy()

    - #### getDescription

          public java.lang.String getDescription()

      Returns description of the field.

    - #### hasDescription

          public boolean hasDescription()

    - #### getHelp

          public java.lang.String getHelp()

      Returns help (detailed description) of the field.

    - #### isOptional

          public boolean isOptional()

    - #### hasSelectionValues

          public boolean hasSelectionValues()

      Returns true if field has selection values.

    - #### hasSelectionValue

          public boolean hasSelectionValue(java.lang.Object value)

      Returns true if field has specified selection value.

    - #### getSelectionValues

          public java.util.Map<T,java.lang.String> getSelectionValues()

      Returns map containing selection values and their textual descriptions.

    - #### addSelectionValue

          public FieldFormat<T> addSelectionValue(T value,
                                                  java.lang.String description)

      Adds new selection value to the field.

    - #### addSelectionValue

          public FieldFormat<T> addSelectionValue(T value)

      Adds new selection value to the field. Value description is obtained by calling value.toString().

    - #### isExtendableSelectionValues

          public boolean isExtendableSelectionValues()

      Returns true if field selection values are extendable, i.e. field may contain values that does not appear in selection values list.

    - #### getValidators

          public java.util.List<FieldValidator> getValidators()

      Returns modifiable list of field validators.

    - #### isReadonly

          public boolean isReadonly()

      Returns true if field is read-only.

    - #### isNotReplicated

          public boolean isNotReplicated()

      Returns true if field must not be replicated.

    - #### isTransferEncode

          protected boolean isTransferEncode()

    - #### isHidden

          public boolean isHidden()

      Returns true if field if hidden.

    - #### getEditor

          public java.lang.String getEditor()

      Returns field editor/renderer ID.

    - #### getTypeSelectionValues

          public static java.util.Map<java.lang.Object,java.lang.String> getTypeSelectionValues()

    - #### getType

          public static java.lang.Character getType(java.lang.Class valueClass)

    - #### isFieldClass

          public static boolean isFieldClass(java.lang.Class valueClass)

    - #### getTypes

          public static java.util.Collection getTypes()

    - #### getValidatorToTypeMap

          public static java.util.Map<java.lang.String,java.lang.Class<? extends AbstractFieldValidator>> getValidatorToTypeMap()

    - #### isKeyField

          public boolean isKeyField()

      Returns true if field is a key field.

    - #### getEditorOptions

          public java.lang.String getEditorOptions()

      Returns field editor/renderer options in the encoded form.

    - #### isInlineData

          public boolean isInlineData()

    - #### isAdvanced

          public boolean isAdvanced()

    - #### setAdvanced

          public FieldFormat<T> setAdvanced(boolean advanced)

    - #### setDescription

          public FieldFormat<T> setDescription(java.lang.String description)

      Sets field description.

    - #### setHelp

          public FieldFormat<T> setHelp(java.lang.String help)

      Sets field help (detailed description).

    - #### setSelectionValues

          public FieldFormat<T> setSelectionValues(java.util.Map<? extends T,java.lang.String> selectionValues)

      Sets field selection values.

    - #### setSelectionValues

          public <E extends java.lang.Enum<E> & SelectionValue> FieldFormat<T> setSelectionValues(java.lang.Class<E> selectionValuesClass)

    - #### setExtendableSelectionValues

          public FieldFormat<T> setExtendableSelectionValues(boolean extendableSelectionValues)

      Sets extendable selection values flag.

    - #### setNullable

          public FieldFormat<T> setNullable(boolean nullable)

      Sets nullable flag.

    - #### setShallow

          public FieldFormat<T> setShallow(boolean shallow)

      Sets shallow flag.

    - #### setOptional

          public FieldFormat<T> setOptional(boolean optional)

    - #### setReadonly

          public FieldFormat<T> setReadonly(boolean readonly)

      Sets read only flag.

    - #### setNotReplicated

          public FieldFormat<T> setNotReplicated(boolean notReplicated)

      Sets not replicated flag.

    - #### setTransferEncode

          protected FieldFormat<T> setTransferEncode(boolean transferEncode)

    - #### setHidden

          public FieldFormat<T> setHidden(boolean hidden)

      Sets hidden flag.

    - #### setEditor

          public FieldFormat<T> setEditor(java.lang.String editor)

      Sets field editor/renderer ID.

    - #### setKeyField

          public FieldFormat<T> setKeyField(boolean keyField)

      Sets key field flag.

    - #### setName

          public FieldFormat<T> setName(java.lang.String name)

      Sets field name.

    - #### setEditorOptions

          public FieldFormat<T> setEditorOptions(java.lang.String editorOptions)

      Sets field editor/renderer options.

    - #### setInlineData

          public FieldFormat<T> setInlineData(boolean inlineData)

    - #### setSelectionValues

          public void setSelectionValues(java.lang.String source)
                                  throws DataTableException

      Sets field selection values.
      Throws:
        `DataTableException`

    - #### setIcon

          public FieldFormat<T> setIcon(java.lang.String icon)

    - #### getIcon

          public java.lang.String getIcon()

    - #### getGroup

          public java.lang.String getGroup()

    - #### removeGroup

          public void removeGroup()

    - #### setGroup

          public FieldFormat<T> setGroup(java.lang.String group)

    - #### isDefaultOverride

          public boolean isDefaultOverride()

    - #### setDefaultOverride

          public FieldFormat<T> setDefaultOverride(boolean defaultOverride)

    - #### isEncrypted

          public boolean isEncrypted()

    - #### setEncrypted

          public FieldFormat<T> setEncrypted(boolean encrypted)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toDetailedString

          public java.lang.String toDetailedString()

    - #### getSuitableEditors

          public java.util.List<java.lang.String> getSuitableEditors()

    - #### wrap

          public TableFormat wrap()

    - #### wrapSimple

          public TableFormat wrapSimple()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### clone

          public FieldFormat<T> clone()

      Specified by:
        `clone` in interface `PublicCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### cloneIfImmutable

          public FieldFormat<T> cloneIfImmutable()

    - #### makeImmutable

          protected void makeImmutable()